#!/usr/bin/env python3

import time
import datetime
import subprocess

for i in range(3):  # 撮影3回リトライ
  print('写真撮影#', i + 1)
  file_name = datetime.datetime.now().strftime('/home/pi/%y_%m%d_%H%M.jpg')  # 日時入りファイル名生成
  still_result = subprocess.run(['libcamera-still', '-n', '-o', file_name])  # 撮影実行

  if still_result.returncode == 0:
    print('電源オフ')
    subprocess.run(['cgpmgr', 'sc', '-l', '0', 'off'])

  time.sleep(10)  # 次の撮影リトライまでの待ち時間
